/**
 *
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 * @author Thiago
 *
 */
public class RenderParadaRegionMetropolitana implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		Parada parada = (Parada) o;

		Listcell lc = new Listcell(parada.getParadaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(parada.getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(parada.getCveparada());
		lc.setParent(lstm);

		lstm.setAttribute("data", parada);
	}

}
